%define name	nvtv 
%define version	0.4.7
%define cvs 20040408
%define major 0
%define libname %mklibname nvtvsimple %major
%define nbrel %mkrel 10
%define release 2.%cvs.%nbrel
%define fname %name-%cvs 

Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Source:		%{fname}.tar.bz2
Source1:	nvtv.png
Patch0:		nvtv-0.4.7-ppc-build-fix.patch.bz2
Patch1:		nvtv-disable-gtk1.2.patch.bz2
License: 	GPL
Group:		Video
Summary: 	Enable TV-Out on Linux for NVidia cards	
URL:		http://sourceforge.net/projects/nv-tv-out/	
BuildRequires:	pciutils-devel 
Requires:	pam, xorg-x11, usermode, usermode-consoleonly
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:  wxGTK-devel
BuildRequires:	libxmu-devel

%description
This is a tool to enable TV-Out on Linux for NVidia cards. It does not
need the kernel, supports multiple TV encoder chips. You may use all the
features of the chip, down to direct register access, and all resolutions 
and sizes the chip supports.

%package -n %libname
Group: System/Libraries
Summary: Library to enable TV-Out on Linux for NVidia cards

%description -n %libname

This is a shared library to enable TV-Out on Linux for NVidia cards.
It does not need the kernel, supports multiple TV encoder chips. You
may use all the features of the chip, down to direct register access,
and all resolutions and sizes the chip supports.

%package -n %libname-devel
Group: Development/C
Requires: %libname = %version-%release
Provides: libnvtvsimple-devel = %version
Summary: Library to enable TV-Out on Linux for NVidia cards

%description -n %libname-devel

This is a shared library to enable TV-Out on Linux for NVidia cards.
It does not need the kernel, supports multiple TV encoder chips. You
may use all the features of the chip, down to direct register access,
and all resolutions and sizes the chip supports.

%prep
%setup -q -n %name
%patch0 -p1 -b .ppc-build-fix
%patch1 -p1 -b .disable-gtk1.2
chmod +x missing
aclocal
autoheader
autoconf
automake -a -c --foreign
cd lib
aclocal
autoheader
autoconf
automake -a -c --foreign

%build
%configure2_5x --prefix=/bin --with-gtk=gtk2
%make
cd lib
%configure2_5x --with-gtk=gtk2
%make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/pixmaps
install -m644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_prefix}/share/pixmaps/
install -D -m755 src/nvtv ${RPM_BUILD_ROOT}/%{_sbindir}/nvtv
install -D -m755 src/nvtvd ${RPM_BUILD_ROOT}/%{_sbindir}/nvtvd
cd lib
%makeinstall_std
cd ..
(mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name}  <<EOF
?package(%name): \ 
command="%{_bindir}/%{name}" needs="X11" \
icon="%{_prefix}/share/pixmaps/%name.png" \
section="Multimedia/Video" \
title="NvTV"  \
longtitle="Nvidia TV" \
xdg="true"
EOF
)

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name="Nvidia TV Output"
Comment="Frontend for Nvidia TV output"
TryExec="%{name}"
Exec="%{name}"
Icon="%{_prefix}/share/pixmaps/%{name}.png"
Terminal="0"
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;Audio;Video;Player;X-MandrivaLinux-Multimedia-Video;
Type="Application"
EOF


#Lets make a nice dialog box asking for root perms:
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/{pam.d,security/console.apps}
cat <<EOF >${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/%{name}
#%PAM-1.0
auth       sufficient   /lib/security/pam_rootok.so
auth       required    /lib/security/pam_stack.so service=system-auth
session    optional     /lib/security/pam_xauth.so
account    required     /lib/security/pam_permit.so
EOF


cat <<EOF >${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/%{name}
USER=root
PROGRAM=/usr/sbin/nvtv
SESSION=true
FALLBACK=true
EOF

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/%name

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr (-,root,root)
%doc doc/*.txt doc/USAGE README TODO INSTALL BUGS ChangeLog FAQ ANNOUNCE 
%{_bindir}/*
%{_sbindir}/%{name}
%{_sbindir}/%{name}d
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_prefix}/share/pixmaps/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop
%{_menudir}/*

%files -n %libname
%defattr (-,root,root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%_includedir/*
%_libdir/lib*.so
%_libdir/lib*a
%_libdir/pkgconfig/*.pc

%changelog
* Mon Jul 17 2006 Antoine Ginies <aginies@mandriva.com> 0.4.7-2.20040408.10mdv2007.0
- patch from cris_@_beebgames.com, don't use obsolete gtK1.2

* Wed Jun 28 2006 Gtz Waschk <waschk@mandriva.org> 0.4.7-2.20040408.9mdv2007.0
- fix buildrequires

* Fri Jun 23 2006 Antoine Ginies <aginies@n3.mandriva.com> 0.4.7-1.20040408.8mdv2007.0
- forget a \ in xdg menu (thx fcrozat report)

* Fri Jun 23 2006 Antoine Ginies <aginies@n3.mandriva.com> 0.4.7-0.20040408.7mdv2007.0
- xdg menu

* Mon Oct 24 2005 Gtz Waschk <waschk@mandriva.org> 0.4.7-0.20040408.6mdk
- fix build

* Wed Jun 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.7-0.20040408.5mdk
- fix ppc build

* Sat Apr 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4.7-0.20040408.4mdk
- fix buildrequires

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.7-0.20040408.3mdk
- fix buildrequires again

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.7-0.20040408.2mdk
- fix buildrequires

* Thu Apr  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.7-0.20040408.1mdk
- build libnvtvsimple
- fix configure call
- new snapshot

* Mon Aug 25 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.5-3mdk 
- correct path in menu

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-2mdk
- rebuild

* Tue Jul 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- from Laurent Grawet <laurent.grawet@ibelgique.com> :
	- new release

* Sat May 31 2003 Laurent Grawet <laurent.grawet@ibelgique.com> 0.4.4-1mdk
- new release

* Fri Feb 21 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.4.3-4mdk 
- add forgotten links

* Tue Feb 18 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.3-3mdk 
- move libgtk+1.2-devel to Buildrequires :-)

* Mon Feb 17 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.3-2mdk
- add requires and consolehelper to avoid setuid (from fdanny@mailmij.org)

* Tue Feb 11 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.4.3-1mdk 
- new release

* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.2-2mdk
- rebuild for new glibc
* Mon Nov 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- from Roger <roger@linuxfreemail.com> :
	- 0.4.2

* Wed Nov 06 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4.0-3mdk
- setuid nvtv (needed for user)
- add icons in menu

* Tue Sep 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4.0-2mdk
- add requires  

* Tue Sep 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4.0-1mdk
- first release for mandrakesoft 
